> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a JWT



## OpenAPI

````yaml post /api/v1/jwt/verify
openapi: 3.0.0
info:
  title: Oneloop API
  version: 1.0.0
  description: API Key Management
servers:
  - url: https://prod.oneloop.ai
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/v1/jwt/verify:
    post:
      summary: Verify a JWT
      operationId: verifyJwt
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                jwt:
                  type: string
                rateLimitConfig:
                  type: object
                  properties:
                    id:
                      type: string
                    limit:
                      type: integer
                      minimum: 0
                      exclusiveMinimum: true
                    interval:
                      type: string
                  required:
                    - id
                    - limit
                    - interval
              required:
                - jwt
      responses:
        '200':
          description: The verification result
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - VALID
                      - INVALID
                  payload:
                    type: object
                    additionalProperties:
                      type: string
                  aud:
                    type: string
                  exp:
                    type: integer
                    minimum: 0
                    exclusiveMinimum: true
                required:
                  - status
                  - payload
                  - exp
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
              minimum: 0
              exclusiveMinimum: true
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````